Main Page glibmm Namespaces Book

# Glib::ValueBase_Boxed Class Reference
[Generic Values]

Inheritance diagram for Glib::ValueBase_Boxed:

[legend]

List of all members.

## Static Public Member Functions

static GType | value_type () G_GNUC_CONST

## Protected Member Functions

void | set_boxed (const void* data)
void* | get_boxed () const

## Member Function Documentation

static GType Glib::ValueBase_Boxed::value_type | ( |  | ) | `[static]`

Reimplemented in Glib::Value_Boxed<T>, and Glib::Value<T>.

void Glib::ValueBase_Boxed::set_boxed | ( | const void * | data | ) | `[protected]`

Referenced by Glib::Value_Boxed<T>::set().

void* Glib::ValueBase_Boxed::get_boxed | ( |  | ) | const`[protected]`

Referenced by Glib::Value_Boxed<T>::get().

The documentation for this class was generated from the following file:

- value.h